## org.eclipse.datatools.modelbase.sql.constraints.impl
Class ReferenceConstraintImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.constraints.impl.ConstraintImpl
                  org.eclipse.datatools.modelbase.sql.constraints.impl.TableConstraintImpl
                      org.eclipse.datatools.modelbase.sql.constraints.impl.ReferenceConstraintImpl

All Implemented Interfaces:
  Constraint, ReferenceConstraint, TableConstraint, SQLObject

Direct Known Subclasses:
  ForeignKeyImpl, UniqueConstraintImpl

    public abstract class ReferenceConstraintImpl

extends TableConstraintImpl
implements ReferenceConstraint

An implementation of the model object 'Reference Constraint'.

The following features are implemented:

- `Members`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getMembers()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.TableConstraintImpl
`basicSetBaseTable, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getBaseTable, setBaseTable`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.ConstraintImpl
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.TableConstraint
`getBaseTable, setBaseTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getMembers

    public EList getMembers()

  Specified by:
    `getMembers` in interface `ReferenceConstraint`
  Returns:
    the value of the 'Members' reference list.
  See Also:
    `SQLConstraintsPackage.getReferenceConstraint_Members()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `TableConstraintImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `TableConstraintImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `TableConstraintImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `TableConstraintImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.